Package org.sonatype.maven.polyglot.groovy.execute

## Class GroovyExecuteTask

- java.lang.Object
- - org.sonatype.maven.polyglot.execute.ExecuteTaskSupport
  - - org.sonatype.maven.polyglot.groovy.execute.GroovyExecuteTask

All Implemented Interfaces:
  `org.sonatype.maven.polyglot.execute.ExecuteTask`

    public class GroovyExecuteTask
    extends org.sonatype.maven.polyglot.execute.ExecuteTaskSupport

Encapsulates a Groovy `ExecuteTask`.

Since:
  0.7
Author:
  Jason Dillon

### Constructor Summary

Constructors
`GroovyExecuteTask​(java.lang.Object value, java.util.Map attrs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute​(org.sonatype.maven.polyglot.execute.ExecuteContext context)`
`java.util.Map` `getAttributes()`
`groovy.lang.Closure` `getClosure()`
`java.lang.Object` `getValue()`
`void` `setClosure​(groovy.lang.Closure closure)`
`java.lang.String` `toString()`

### Methods inherited from class org.sonatype.maven.polyglot.execute.ExecuteTaskSupport

`getId, getPhase, getProfileId, setId, setPhase, setProfileId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GroovyExecuteTask

    public GroovyExecuteTask​(java.lang.Object value,
                             java.util.Map attrs)

### Method Detail

#### getValue

    public java.lang.Object getValue()

#### getAttributes

    public java.util.Map getAttributes()

#### getClosure

    public groovy.lang.Closure getClosure()

#### setClosure

    public void setClosure​(groovy.lang.Closure closure)

#### execute

    public void execute​(org.sonatype.maven.polyglot.execute.ExecuteContext context)
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`